Bug 127645 - system-config-httpd does not read from existing config
system-config-httpd does not read from existing config
Product: Fedora
Classification: Fedora
Component: system-config-httpd (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2004-07-12 01:07 EDT by Ivan Gyurdiev
Modified: 2015-03-04 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-30 10:13:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2004-07-12 01:07:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040706 Firefox/0.9.1

Description of problem:
The httpd configuration tool completely ignores my existing httpd.conf. 
I made an honest attempt at trying to figure out how it works,
leanring some python..etc...

So as far as I can tell it uses alchemist (which is distributed
without a shred of documentation. I can't even find any on google -
not cool). Alchemist seems to merge rpm.xml and local.xml namespaces
into one and use that to initialize the python tool. rpm.xml contains
all the data, and local.xml contains none.

What's the plan to make system-config-httpd use the existing
httpd.conf? Without such functionality this tool is not very useful to me.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. See Summary.

Additional info:
Comment 1 Phil Knirsch 2004-07-30 10:13:25 EDT
System-config-httpd newer was designed to use the local httpd.conf
file but uses it's own XML based data storage from with the httpd.conf
file is always generated.

The tool is aimed at new users to httpd which have a hard time
configuring the httpd.conf file on their own.

So i guess this means that unfortunately system-config-httpd will have
little use for you.

Read ya, Phil
Comment 2 Ivan Gyurdiev 2004-07-30 12:29:30 EDT
So in other words you're saying it wes designed wrong from the start :)
That will have to be fixed, I guess. Maybe I can help next break or
something - I'm trying to rewrite system-config-bind right now.

It shouldn't be all that hard to populate your XML backend in question
 by parsing the current file if it exists.  
Comment 3 Phil Knirsch 2004-08-02 05:43:10 EDT
Bind conf file parsing is dead easy in contrast to httpd.conf, belive
me, been there, done that, scratched it.

That was one of the reasons why we decided back then to use a XML
based backend solution as it is very very difficult to parse the
httpd.conf file for all cases correctly.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.